package nsdb.NucFeaturePackage;
final public class QualifierValueListHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.NucFeaturePackage.QualifierValue_u[] value;

	public QualifierValueListHolder ()
	{
	}
	public QualifierValueListHolder (nsdb.NucFeaturePackage.QualifierValue_u[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return QualifierValueListHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = QualifierValueListHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		QualifierValueListHelper.write(out,value);
	}
}
